Bug 9095 - readline dependance; no quota support
Summary: readline dependance; no quota support
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: samba (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-03 16:54 UTC by Michael Tokarev
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-05 00:37:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Tokarev 2000-02-03 16:54:13 UTC
Two notes about samba:

  all samba packages made dependant from libreadline.  This is samba
bug, as it's configure checks if readline is available (used only
by smbsh/smbwrapper that is not build anyway), and places it to LIBS
in makefile (it should be placed to something like SMBSH_LIBS).
Resolution for now is to make patch for generated Makefile (and maybe
for configure.in) to remove -lreadline.

  RedHat's samba compiled without quotas support -- it may be not a
bug, but quotas are exists on Linux and are useable (I think).
Just add --with-quotas to configure in .spec.

  And third issue -- maybe pass arch-vendor-os to configure?

Comment 1 Bill Nottingham 2000-02-05 00:37:59 UTC
The readline support is in smbclient too.

Quotas are turned on in samba-2.0.6-7; you can
also use quotas via the PAM support, I believe.

Comment 2 Michael Tokarev 2000-02-07 11:35:59 UTC
> The readline support is in smbclient too.
Oh, it is, yes, I forgot that.  Just a funny dependance
for other executables (notable [sn]mbd) -- daemon need
readline for it's operation :^) ...
This, if a bug, is veeeery unimportant...

> [] you can also use quotas via the PAM support, I believe.
I don't think so -- quota support is for "correct" disk free space
report, i.e so that Windoze machines report your available quota, not
total space on disk.  Pam is not needed -- system handles quota
_restrictions_ automatically.

Okay, thanks anyway.


Note You need to log in before you can comment on or make changes to this bug.